<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div class="contentFull left filler-bottom">
    <div class="content-holder filler-bottom">
      <h4>{{ "World.Country.Donate" | translate }}</h4>
      <p>{{ "World.Country.DonateInfo" | translate }}</p>
      <div class="adminLaw">
        <div nz-row nzGutter="8">
          <div nz-col nzSpan="6">
            <nz-select style="width: 100%;" nzShowSearch [nzCustomTemplate]="custom2" [(ngModel)]="orgId"
              (ngModelChange)="organisationSelected($event)">
              <nz-option *ngFor="let org of organisations" nzCustomContent [nzLabel]="org.name"
                [nzValue]="org.id">
                <img style="width: 15px; height: 15px;" src="{{hostUrl}}/{{org.avatarLocation}}" /> {{org.name}}
              </nz-option>
            </nz-select>
            <ng-template #custom2>
              <span><img style="width: 15px; height: 15px;" src="{{hostUrl}}/{{selectedOrganisation.avatarLocation}}" /> {{selectedOrganisation.name}}
              </span>
            </ng-template>
          </div>
          <div nz-col nzSpan="6">
            <nz-select style="width: 100%;" nzShowSearch [nzCustomTemplate]="custom" [(ngModel)]="selectedCurrencyId"
              (ngModelChange)="currencySelected($event)">
              <nz-option *ngFor="let finance of finances" nzCustomContent nzLabel="{{finance.currencyName}}"
                nzValue="{{finance.currencyId}}">
                <img src="{{hostUrl}}/{{finance.flagLocation[0]}}" /> {{finance.currencyName}}
              </nz-option>
            </nz-select>
            <ng-template #custom>
              <span><img src="{{hostUrl}}/{{selectedCurrency.flagLocation[0]}}" /> {{selectedCurrency.currencyName}}
              </span>
            </ng-template>
          </div>
          <div nz-col nzSpan="6">
            <nz-input-number style="width: 100%;" [(ngModel)]="amount" [nzMin]="1" [nzStep]="0.1"
              nzPlaceHolder="Amount"></nz-input-number>
          </div>
          <div nz-col nzSpan="6">
            <input class="mBtn blButton smaller right" type="button" value="{{ 'World.Country.Propose' | translate }}"
              style="border:none;" (click)="propose()">
          </div>
        </div>

        <div nz-row>
          <div nz-col nzSpan="24">
            <textarea class="welcText" placeholder="Reason (Optional)" [(ngModel)]="reason"></textarea>
          </div>
        </div>
        <div class="clear"></div>
      </div>
    </div>
    <div class="content-holder">
      <h4>{{"Economic.Entity.Account" | translate }}</h4>
      <div class="countryAdmin filler-bottom">
        <ul *ngFor="let finance of finances" class="suplInfo2 smaller">
          <li>
            <img src="{{hostUrl}}/{{finance.flagLocation[0]}}">
          </li>
          <li>
            <a>{{finance.currencyName}}</a>
          </li>
          {{finance.amount}}
        </ul>
      </div>
    </div>
  </div>
</nz-spin>